Summary: GNOME PDF viewer
Name:    gpdf
Version: 0.112
Release: 2mdk
Epoch:   1
License: GPL
Group:   Graphical desktop/GNOME
URL:     http://www.purl.org/NET/gpdf
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
Source1: %{name}48.png
Source2: %{name}32.png
Source3: %{name}16.png
# (fc) 0.112-1mdk fix compilation with gtk 2.2
Patch0: gpdf-0.112-gtk22.patch.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libgnomeprintui-devel >= 2.2
BuildRequires: libglade2.0-devel
BuildRequires: libgnomeui2-devel
BuildRequires: pkgconfig bison gettext tetex
#BuildRequires: scrollkeeper
BuildRequires: libpaper-devel
#gw for broken intltool:
BuildRequires: perl-XML-Parser

%description
GNOME PDF Viewer, based on xpdf

%prep
%setup -q
%patch0 -p1 -b .gtk22

%build

#we don't use libtool 1.5 yet
%define __libtoolize /bin/true

%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

#touch %buildroot%_datadir/gnome/help/gpdf/C/gpdf.html
%find_lang %{name}

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF >  $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{_bindir}/gpdf" icon="%{name}.png" needs="x11" title="PDF file viewer" longtitle="Tool for viewing PDF files" section="Applications/Publishing" startup_notify="true" mimetypes="application/pdf" accept_url="true" multiple_files="true"
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
cat %SOURCE1 > $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
cat %SOURCE2 > $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
cat %SOURCE3 > $RPM_BUILD_ROOT/%_miconsdir/%name.png

%post
%{update_menus}
#if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
#if [ -x %{_bindir}/yelp-pregenerate ]; then %{_bindir}/yelp-pregenerate %{_datadir}/gnome/help/%{name}/*/%{name}.xml > /dev/null || true ; fi

%postun
%{clean_menus}
#if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README NEWS ChangeLog CHANGES
%{_bindir}/*
%{_libdir}/bonobo/servers/*
%{_libexecdir}/gnome-pdf-viewer
%{_datadir}/applications/*
%{_datadir}/application-registry/*
%{_datadir}/gnome-2.0/ui/*
%{_datadir}/gpdf
%{_datadir}/mime-info/*
%{_datadir}/pixmaps/*
#%_datadir/gnome/help/gpdf
#%_datadir/omf/gpdf
%{_menudir}/*
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png
#%ghost %{_datadir}/gnome/help/gpdf/C/gpdf.html

%changelog
* Tue Mar  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.112-2mdk
- fix buildrequires

* Fri Feb 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.112-1mdk
- Switch back to 0.112 version (GNOME 2.4 branch)
- Patch0: fix compilation with gtk 2.2

* Thu Jan 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.120-4mdk
- drop libfreetype again

* Fri Jan  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.120-3mdk
- add patch9 from xpdf (Giuseppe Ghib)

* Fri Jan  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.120-2mdk
- Use static library freetype 2.1.5, because shared 2.1.7 doesn't work.

* Tue Dec 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.120-1mdk
- add docs
- new version

* Wed Nov  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.111-1mdk
- new version

* Tue Sep 09 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.110-1mdk
- Release 0.110

* Tue Sep 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.106-2mdk
- Fix BuildRequires

* Tue Aug 26 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.106-1mdk
- Release 0.106

* Wed Jul 30 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.105-1mdk
- Release 0.105

* Wed Jul  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.104-1mdk
- new version

* Sun Jun  8 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.103-1mdk
- new version

* Mon May 26 2003 Austin Acton <aacton@yorku.ca> 0.102-1mdk
- 0.102
- add icons
- add buildrequires
- fix URL

* Wed May 07 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.101-1mdk
- Release 0.101

* Fri Apr 18 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.100-1mdk
- Initial build.


